import { jsx } from "react/jsx-runtime";
import { CloudFog as CloudFog$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const CloudFog = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "CloudFog", ...props, children: /* @__PURE__ */ jsx(CloudFog$1, { weight: variant }) });
  }
);
CloudFog.displayName = "CloudFog";
Object.assign(CloudFog, { isGdsIcon: true });
export {
  CloudFog
};
